package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLObjectImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class SQLPrivilegeItem extends SQLObjectImpl {
   private SQLExpr action;
   private List<SQLName> columns = new ArrayList();

   public SQLExpr getAction() {
      return this.action;
   }

   public void setAction(SQLExpr action) {
      this.action = action;
   }

   public List<SQLName> getColumns() {
      return this.columns;
   }

   protected void accept0(SQLASTVisitor v) {
      if (v.visit(this)) {
         this.acceptChild(v, this.action);
         this.acceptChild(v, this.columns);
      }

      v.endVisit(this);
   }
}
